function [BRand1 BRand2 BRand3 BRand4 BRand5 BRand6 BRand7 BRand8 BRand9 BRand10] = Halton_Draws(N,S,P)

global RespID

NO=N;       %# of observations
NP=P;       %# of respondents
NDRAWS=S;   %# of draws

h=primes(100); 

%Create a vector of Halton numbers for respondents
hh=h(1,7);
draws=[0];
test=0;
b=1;
while test == 0
    drawsold=draws;
    for m=1:(hh-1);
        dd=m./(hh.^b);
        draws=[draws ; drawsold + dd];
        test=size(draws,1) >= ((NP.*NDRAWS) + 10);
        if test == 1
            break
        end
    end
    b=b+1;    
end

draws1=draws(11:(NP.*NDRAWS)+10,1);   %drop 1st 10 draws
draws1 = norminv(draws1); 
draws1=reshape(draws1,NP,NDRAWS);
   
%Build random number matrix for all parcels (same draws for all on same
%parcel)
for i=1:NO
    Resp_Num=RespID(i,1);
    BRand1(i,:)=draws1(Resp_Num,:);
end

%Create a vector of Halton numbers for respondents
hh=h(1,8);
draws=[0];
test=0;
b=1;
while test == 0
    drawsold=draws;
    for m=1:(hh-1);
        dd=m./(hh.^b);
        draws=[draws ; drawsold + dd];
        test=size(draws,1) >= ((NP.*NDRAWS) + 10);
        if test == 1
            break
        end
    end
    b=b+1;    
end

draws1=draws(11:(NP.*NDRAWS)+10,1);   %drop 1st 10 draws
draws1 = norminv(draws1); 
draws1=reshape(draws1,NP,NDRAWS);
   
%Build random number matrix for all parcels (same draws for all on same
%parcel)
for i=1:NO
    Resp_Num=RespID(i,1);
    BRand2(i,:)=draws1(Resp_Num,:);
end

%Create a vector of Halton numbers for respondents
hh=h(1,9);
draws=[0];
test=0;
b=1;
while test == 0
    drawsold=draws;
    for m=1:(hh-1);
        dd=m./(hh.^b);
        draws=[draws ; drawsold + dd];
        test=size(draws,1) >= ((NP.*NDRAWS) + 10);
        if test == 1
            break
        end
    end
    b=b+1;    
end

draws1=draws(11:(NP.*NDRAWS)+10,1);   %drop 1st 10 draws
draws1 = norminv(draws1); 
draws1=reshape(draws1,NP,NDRAWS);
   
%Build random number matrix for all parcels (same draws for all on same
%parcel)
for i=1:NO
    Resp_Num=RespID(i,1);
    BRand3(i,:)=draws1(Resp_Num,:);
end

%Create a vector of Halton numbers for respondents
hh=h(1,10);
draws=[0];
test=0;
b=1;
while test == 0
    drawsold=draws;
    for m=1:(hh-1);
        dd=m./(hh.^b);
        draws=[draws ; drawsold + dd];
        test=size(draws,1) >= ((NP.*NDRAWS) + 10);
        if test == 1
            break
        end
    end
    b=b+1;    
end

draws1=draws(11:(NP.*NDRAWS)+10,1);   %drop 1st 10 draws
draws1 = norminv(draws1); 
draws1=reshape(draws1,NP,NDRAWS);
   
%Build random number matrix for all parcels (same draws for all on same
%parcel)
for i=1:NO
    Resp_Num=RespID(i,1);
    BRand4(i,:)=draws1(Resp_Num,:);
end

%Create a vector of Halton numbers for respondents
hh=h(1,11);
draws=[0];
test=0;
b=1;
while test == 0
    drawsold=draws;
    for m=1:(hh-1);
        dd=m./(hh.^b);
        draws=[draws ; drawsold + dd];
        test=size(draws,1) >= ((NP.*NDRAWS) + 10);
        if test == 1
            break
        end
    end
    b=b+1;    
end

draws1=draws(11:(NP.*NDRAWS)+10,1);   %drop 1st 10 draws
draws1 = norminv(draws1); 
draws1=reshape(draws1,NP,NDRAWS);
   
%Build random number matrix for all parcels (same draws for all on same
%parcel)
for i=1:NO
    Resp_Num=RespID(i,1);
    BRand5(i,:)=draws1(Resp_Num,:);
end

%Create a vector of Halton numbers for respondents
hh=h(1,12);
draws=[0];
test=0;
b=1;
while test == 0
    drawsold=draws;
    for m=1:(hh-1);
        dd=m./(hh.^b);
        draws=[draws ; drawsold + dd];
        test=size(draws,1) >= ((NP.*NDRAWS) + 10);
        if test == 1
            break
        end
    end
    b=b+1;    
end

draws1=draws(11:(NP.*NDRAWS)+10,1);   %drop 1st 10 draws
draws1 = norminv(draws1); 
draws1=reshape(draws1,NP,NDRAWS);
   
%Build random number matrix for all parcels (same draws for all on same
%parcel)
for i=1:NO
    Resp_Num=RespID(i,1);
    BRand6(i,:)=draws1(Resp_Num,:);
end

%Create a vector of Halton numbers for respondents
hh=h(1,13);
draws=[0];
test=0;
b=1;
while test == 0
    drawsold=draws;
    for m=1:(hh-1);
        dd=m./(hh.^b);
        draws=[draws ; drawsold + dd];
        test=size(draws,1) >= ((NP.*NDRAWS) + 10);
        if test == 1
            break
        end
    end
    b=b+1;    
end

draws1=draws(11:(NP.*NDRAWS)+10,1);   %drop 1st 10 draws
draws1 = norminv(draws1); 
draws1=reshape(draws1,NP,NDRAWS);
   
%Build random number matrix for all parcels (same draws for all on same
%parcel)
for i=1:NO
    Resp_Num=RespID(i,1);
    BRand7(i,:)=draws1(Resp_Num,:);
end

%Create a vector of Halton numbers for respondents
hh=h(1,14);
draws=[0];
test=0;
b=1;
while test == 0
    drawsold=draws;
    for m=1:(hh-1);
        dd=m./(hh.^b);
        draws=[draws ; drawsold + dd];
        test=size(draws,1) >= ((NP.*NDRAWS) + 10);
        if test == 1
            break
        end
    end
    b=b+1;    
end

draws1=draws(11:(NP.*NDRAWS)+10,1);   %drop 1st 10 draws
draws1 = norminv(draws1); 
draws1=reshape(draws1,NP,NDRAWS);
   
%Build random number matrix for all parcels (same draws for all on same
%parcel)
for i=1:NO
    Resp_Num=RespID(i,1);
    BRand8(i,:)=draws1(Resp_Num,:);
end

%Create a vector of Halton numbers for respondents
hh=h(1,15);
draws=[0];
test=0;
b=1;
while test == 0
    drawsold=draws;
    for m=1:(hh-1);
        dd=m./(hh.^b);
        draws=[draws ; drawsold + dd];
        test=size(draws,1) >= ((NP.*NDRAWS) + 10);
        if test == 1
            break
        end
    end
    b=b+1;    
end

draws1=draws(11:(NP.*NDRAWS)+10,1);   %drop 1st 10 draws
draws1 = norminv(draws1); 
draws1=reshape(draws1,NP,NDRAWS);
   
%Build random number matrix for all parcels (same draws for all on same
%parcel)
for i=1:NO
    Resp_Num=RespID(i,1);
    BRand9(i,:)=draws1(Resp_Num,:);
end

%Create a vector of Halton numbers for respondents
hh=h(1,16);
draws=[0];
test=0;
b=1;
while test == 0
    drawsold=draws;
    for m=1:(hh-1);
        dd=m./(hh.^b);
        draws=[draws ; drawsold + dd];
        test=size(draws,1) >= ((NP.*NDRAWS) + 10);
        if test == 1
            break
        end
    end
    b=b+1;    
end

draws1=draws(11:(NP.*NDRAWS)+10,1);   %drop 1st 10 draws
draws1 = norminv(draws1); 
draws1=reshape(draws1,NP,NDRAWS);
   
%Build random number matrix for all parcels (same draws for all on same
%parcel)
for i=1:NO
    Resp_Num=RespID(i,1);
    BRand10(i,:)=draws1(Resp_Num,:);
end
