function LL = loglike_choice_start(B)

global Y

U0=B(1) ; %Status quo utility

%interaction (preference space)
U1S=(B(2) ); %scale (price) parameter
U1=B(3)*Y(:,3) + B(4)*Y(:,5) + B(5)*Y(:,7) + B(6)*Y(:,9) + B(7)*Y(:,11);
U1=U1 + B(8)*Y(:,5).*Y(:,3) + B(9)*Y(:,7).*Y(:,5) + U1S.*Y(:,13);

U2S=(B(2) ); %scale (price) parameter
U2=B(3)*Y(:,4) + B(4)*Y(:,6) + B(5)*Y(:,8) + B(6)*Y(:,10) + B(7)*Y(:,12);
U2=U2 + B(8)*Y(:,6).*Y(:,4) + B(9)*Y(:,8).*Y(:,6) + U2S.*Y(:,14);

sumExp = log(exp(U0) + exp(U1) + exp(U2));

%Likelihood for each obs
LL1 = (Y(:,15).*U0 + Y(:,16).*U1 + Y(:,17).*U2) - sumExp; %unweighted
%LL1 = ((Y(:,15).*U0 + Y(:,16).*U1 + Y(:,17).*U2) - sumExp).*Y(:,25); %weighted

LL = -(sum(LL1));